;gray3 equates
;Copyright 1999-2000 Joshua Seagoe
;josh@smileyface.com

;---memory locations---

gray_light_plane        equ $ec00
gray_dark_plane         equ $fc00
gray_planes             equ $3c2c

gray_int_table          equ $ca00
gray_int_routine        equ $cbcb
gray_int_value          equ $cb

gray_ix                 equ $cb00
gray_data_start         equ $cb01
gray_keys               equ gray_data_start
gray_time               equ gray_data_start+$07
gray_timeout            equ gray_data_start+$09
gray_event_head         equ gray_data_start+$0d
gray_event_tail         equ gray_data_start+$0e
gray_event_buffer       equ gray_data_start+$0f
gray_data_size          equ $30


;---offsets from $f500 (ix)---

gray_key_start          equ $01


;---timing constants---

;for 2/3 gray shade (better shades)
;gray_total_count        equ 5
;gray_split_count        equ 2

;for 1/2 gray shade (less flicker)
gray_total_count        equ 3
gray_split_count        equ 1

;for 3 level gray
;gray_total_count        equ 2
;gray_split_count        equ 1

;---key events---

gray_key_down       equ $40
gray_key_up     equ $00

key_right       equ $3a
key_up          equ $3b
key_left        equ $39
key_down        equ $38

key_clear       equ $36
key_caret       equ $35
key_div         equ $34
key_mul         equ $33
key_sub         equ $32
key_add         equ $31
key_enter       equ $30

key_custom      equ $2e
key_tan         equ $2d
key_rparen      equ $2c
key_9           equ $2b
key_6           equ $2a
key_3           equ $29
key_neg         equ $28

key_del         equ $27
key_prgm        equ $26
key_cos         equ $25
key_lparen      equ $24
key_8           equ $23
key_5           equ $22
key_2           equ $21
key_dot         equ $20

key_xvar        equ $1f
key_table       equ $1e
key_sin         equ $1d
key_ee          equ $1c
key_7           equ $1b
key_4           equ $1a
key_1           equ $19
key_0           equ $18

key_alpha       equ $17
key_graph       equ $16
key_log         equ $15
key_ln          equ $14
key_squared     equ $13
key_comma       equ $12
key_sto         equ $11
key_false_on        equ $10

key_more        equ $0f
key_exit        equ $0e
key_2nd         equ $0d
key_f1          equ $0c
key_f2          equ $0b
key_f3          equ $0a
key_f4          equ $09
key_f5          equ $08

;alternate names
key_period      equ key_dot
key_square      equ key_squared
key_exp         equ key_ee
key_minus       equ key_sub
key_plus        equ key_add
key_divide      equ key_div
key_multiply        equ key_mul
key_mult        equ key_mul
key_times       equ key_mul


